Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
role_assignment_updated_deleted = client.cloud.users.role_assignments.delete(
123,
)
print(role_assignment_updated_deleted.assignment_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
roleAssignmentUpdatedDeleted, err := client.Cloud.Users.RoleAssignments.Delete(context.TODO(), 123)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", roleAssignmentUpdatedDeleted.AssignmentID)
}
curl --request DELETE \
--url https://api.gcore.com/cloud/v1/users/assignments/{assignment_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/users/assignments/{assignment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignment_id": 12
}User Role Assignments
Delete role assignment
Delete an existing role assignment.
DELETE
/
cloud
/
v1
/
users
/
assignments
/
{assignment_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
role_assignment_updated_deleted = client.cloud.users.role_assignments.delete(
123,
)
print(role_assignment_updated_deleted.assignment_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
roleAssignmentUpdatedDeleted, err := client.Cloud.Users.RoleAssignments.Delete(context.TODO(), 123)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", roleAssignmentUpdatedDeleted.AssignmentID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Assignment ID
Example:
123
Response
200 - application/json
OK
Assignment ID
Example:
12
Was this page helpful?
⌘I